Name:           fgrun
Version:        3.2.0
Release:        %mkrel 1
Summary:        Graphical launcher for the FlightGear flight simulator
Group:          Games/Simulation
License:        GPLv2+
URL:            http://sourceforge.net/projects/fgrun
# git clone git://gitorious.org/fg/fgrun.git
# git archive --format=tar.gz -o fgrun-3.2.0.tar.gz --prefix=fgrun-3.2.0/ origin/release/3.2.0
Source0:        %{name}-%{version}.tar.gz
Source1:        README.Mageia
Patch1:         0001-Build-fgrun-with-static-ui-libs.patch
Patch2:         0002-Fix-a-crash-when-setting-defaults.patch
Patch3:         fgrun-3.2.0-fdr-mga-default-settings.patch
Patch4:         0004-Fix-reloadPath-logic.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  fltk-devel >= 1.3.0
BuildRequires:  gettext
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(openscenegraph) >= 3.0.0
BuildRequires:  plib-devel
BuildRequires:  simgear-devel >= %{version}
Requires:       flightgear >= %{version}

%description
FlightGear Launch Control (FGRun) is a graphical launcher for the FlightGear
flight simulator. FGRun allows one to choose options more easily than
with the command line.

%prep
%setup -q
%apply_patches
cp -a %{SOURCE1} .

%build
%cmake
%make

%install
%makeinstall_std -C build
mkdir -p %{buildroot}%{_sysconfdir}/fltk/flightgear.org
install -m 0644 fgrun.prefs \
        %{buildroot}%{_sysconfdir}/fltk/flightgear.org/fgrun.prefs
%find_lang %{name}

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=FlightGear Launch Control
GenericName=Graphical launcher for the FlightGear flight simulator
Comment=Graphical launcher for the FlightGear flight simulator
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Simulation;
EOF

convert flightgear.ico flightgear.png
install -D -m644 flightgear-2.png %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}.png
install -D -m644 flightgear-4.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m644 flightgear-6.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

%files -f %{name}.lang
%doc AUTHORS COPYING README README.Mageia version
%{_bindir}/%{name}
%dir %{_sysconfdir}/fltk
%dir %{_sysconfdir}/fltk/flightgear.org
%config(noreplace) %{_sysconfdir}/fltk/flightgear.org/%{name}.prefs
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Oct 26 2014 akien <akien> 3.2.0-1.mga5
+ Revision: 793530
- Version 3.2.0
- Add a README.Mageia with usage instructions based off README.Fedora
- Fix path for game data in default config

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-3.mga5
+ Revision: 749821
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-2.mga5
+ Revision: 679177
- Mageia 5 Mass Rebuild

* Sun Mar 16 2014 fwang <fwang> 3.0.0-1.mga5
+ Revision: 604155
- add patches
- 3.0.0
- rebuild for new simgear

  + dams <dams>
    - rebuild for new simgear

* Mon Dec 16 2013 zezinho <zezinho> 1.7.0-5.mga4
+ Revision: 557338
- rebuild for new flightgear

* Sat Oct 19 2013 umeabot <umeabot> 1.7.0-4.mga4
+ Revision: 536579
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 fwang <fwang> 1.7.0-3.mga4
+ Revision: 484713
- rebuild for new simgear

* Tue Jul 09 2013 fwang <fwang> 1.7.0-2.mga4
+ Revision: 451776
- rebuild for new boost

* Mon Mar 04 2013 fwang <fwang> 1.7.0-1.mga3
+ Revision: 401376
- apply all patches
- apply prefix patch

* Mon Mar 04 2013 fwang <fwang> 1.7.0-0.mga3
+ Revision: 401350
- apply patch4
- port static lib patch
- new version 1.7.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - updated RPM group

  + shadow95 <shadow95>
    - update BuildRequires with boost-devel & plib-devel
    - update to new version 1.6.2

  + zezinho <zezinho>
    - buildrequires cmake
    - new version

* Wed Sep 12 2012 shadow95 <shadow95> 1.6.0-3.mga3
+ Revision: 293254
- rebuild for new simgear and new OpenSceneGraph

* Mon Nov 14 2011 shadow95 <shadow95> 1.6.0-2.mga2
+ Revision: 167835
- Release 1.6.0
- add find_lang
- Fix menu bug with lost line Exec in file desktop
- imported package fgrun

